# GAMESS-UK DFT (BLYP) minimisation with DL-FIND

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")


gamess = GAMESS_UK(frag=water, method="dft", functional="blyp", basis="3-21g")

opt = Opt(theory=gamess, 
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0).run()

ecalc = opt.result.energy

# Test result
eref = -75.95124341

testutils.validate(ecalc, eref)
